# Uses of Record Class
com.usatiuk.dhfs.peerdiscovery.IpPeerAddress

Packages that use IpPeerAddress
Package
Description
com.usatiuk.dhfs.peerdiscovery
com.usatiuk.dhfs.peersync

## Uses of IpPeerAddress in com.usatiuk.dhfs.peerdiscovery

Methods in com.usatiuk.dhfs.peerdiscovery that return IpPeerAddress
Modifier and Type
Method
Description
`IpPeerAddress`
IpPeerAddress.`withType(PeerAddressType type)`
Methods in com.usatiuk.dhfs.peerdiscovery that return types with arguments of type IpPeerAddress
Modifier and Type
Method
Description
`static Optional<IpPeerAddress>`
PeerAddrStringHelper.`parse(String addr)`
`static Optional<IpPeerAddress>`
PeerAddrStringHelper.`parseNoPeer(PeerId peerId, String addr)`

## Uses of IpPeerAddress in com.usatiuk.dhfs.peersync

Methods in com.usatiuk.dhfs.peersync that return IpPeerAddress
Modifier and Type
Method
Description
`IpPeerAddress`
PersistentPeerDataService.`getPersistentPeerAddress(PeerId peerId)`
Methods in com.usatiuk.dhfs.peersync that return types with arguments of type IpPeerAddress
Modifier and Type
Method
Description
`List<IpPeerAddress>`
PersistentPeerDataService.`getPersistentPeerAddresses()`
`org.pcollections.PMap<PeerId,IpPeerAddress>`
PersistentRemoteHostsData.`persistentPeerAddress()`
Returns the value of the `persistentPeerAddress` record component.
Methods in com.usatiuk.dhfs.peersync with parameters of type IpPeerAddress
Modifier and Type
Method
Description
`void`
PersistentPeerDataService.`addPersistentPeerAddress(PeerId peerId, IpPeerAddress address)`
Method parameters in com.usatiuk.dhfs.peersync with type arguments of type IpPeerAddress
Modifier and Type
Method
Description
`PersistentRemoteHostsData`
PersistentRemoteHostsData.`withPersistentPeerAddress(org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)`
Constructor parameters in com.usatiuk.dhfs.peersync with type arguments of type IpPeerAddress
Modifier
Constructor
Description
``
`PersistentRemoteHostsData(PeerId selfUuid, com.google.protobuf.ByteString selfCertificate, com.google.protobuf.ByteString selfKeyPair, org.pcollections.PSet<PeerId> initialSyncDone, org.pcollections.PMap<PeerId,IpPeerAddress> persistentPeerAddress)`
Creates an instance of a `PersistentRemoteHostsData` record class.